Subject: bug#55111: closed (Re: CONFIG_HSA_AMD unset in recent kernels)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Jun 2022 19:56:02 +0000

Your bug report

#55111: CONFIG_HSA_AMD unset in recent kernels

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55111: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: CONFIG_HSA_AMD unset in recent kernels
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 29 Jun 2022 19:54:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Addressed in #56200, pushed by Leo as 44f2c7c2ca5d0a275c61d5bfd9dde1205590504b

Subject: CONFIG_HSA_AMD unset in recent kernels
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 25 Apr 2022 15:59:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

In trying to update AMD's OpenCL stuff (ROCm) in Guix to the latest version, I found that CONFIG_HSA_AMD is not set in our kernel config which I think might be needed (for HSA, most visibly having a /dev/kfd if I'm understanding). I see it was set to 'm' in previous versions, like 4.19, but at some point has been unset.

Does anyone know why this was changed or have any reason not to set it in our kernel config?

I've tried building the kernel with this configuration change and it went fine, but haven't been able to properly test it just yet.

John